Class | Chef::CookbookCollection
In: | lib/chef/cookbook/cookbook_collection.rb
Parent: | Mash

## Chef::CookbookCollection

This class is the consistent interface for a node to obtain its cookbooks by name.

This class is basically a glorified Hash, but since there are several ways this cookbook information is collected, (e.g. CookbookLoader for solo, hash of auto-vivified Cookbook objects for lazily-loaded remote cookbooks), it gets transformed into this.

### Methods

new

### Public Class methods

new(cookbook_versions={})

The input is a mapping of cookbook name to CookbookVersion objects. We simply extract them

[Validate]